Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.pdfview.decrypt
Enum StandardDecrypter.EncryptionAlgorithm

    java.lang.Object
      java.lang.Enum<StandardDecrypter.EncryptionAlgorithm>
          com.sun.pdfview.decrypt.StandardDecrypter.EncryptionAlgorithm

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StandardDecrypter.EncryptionAlgorithm>

Enclosing class:
  StandardDecrypter

    public static enum StandardDecrypter.EncryptionAlgorithm

extends java.lang.Enum<StandardDecrypter.EncryptionAlgorithm>

Describes an encryption algorithm to be used, declaring not only the cipher type, but also key generation techniques

Enum Constant Summary
`AESV2`
`RC4`

Method Summary
`static StandardDecrypter.EncryptionAlgorithm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StandardDecrypter.EncryptionAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RC4

    public static final StandardDecrypter.EncryptionAlgorithm RC4

### AESV2

    public static final StandardDecrypter.EncryptionAlgorithm AESV2

Method Detail

### values

    public static final StandardDecrypter.EncryptionAlgorithm[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StandardDecrypter.EncryptionAlgorithm c : StandardDecrypter.EncryptionAlgorithm.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StandardDecrypter.EncryptionAlgorithm valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD